<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/GUI/Spacers/ItemsCounter.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('db/d1b/_items_counter_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">ItemsCounter.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../db/d1b/_items_counter_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno"><a class="line" href="../../d5/d47/class_items_counter.html">    2</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d5/d47/class_items_counter.html">ItemsCounter</a> : <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#df/df4/class_scripted_widget_event_handler">ScriptedWidgetEventHandler</a></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span>{</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d5/d47/class_items_counter.html#a99f7e7a90d7e8613782a73b4d02b3ae5">    4</a></span>    <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../d5/d47/class_items_counter.html#a99f7e7a90d7e8613782a73b4d02b3ae5">NumberOfItems</a>;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>    </div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../d5/d47/class_items_counter.html#a5913b1675e520d3b3440c842bc61531f">    6</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d47/class_items_counter.html#a5913b1675e520d3b3440c842bc61531f">OnWidgetScriptInit</a>(<a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w)</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    {</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> child = w.GetChildren();</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>  </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    <span class="keywordflow">while</span> (child)</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    {</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        child = child.GetSibling();</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        <a class="code hl_variable" href="../../d5/d47/class_items_counter.html#a99f7e7a90d7e8613782a73b4d02b3ae5">NumberOfItems</a>++;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    }</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    }</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>};</div>
<div class="ttc" id="aclass_items_counter_html"><div class="ttname"><a href="../../d5/d47/class_items_counter.html">ItemsCounter</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d1b/_items_counter_8c_source.html#l00002">ItemsCounter.c:3</a></div></div>
<div class="ttc" id="aclass_items_counter_html_a5913b1675e520d3b3440c842bc61531f"><div class="ttname"><a href="../../d5/d47/class_items_counter.html#a5913b1675e520d3b3440c842bc61531f">ItemsCounter::OnWidgetScriptInit</a></div><div class="ttdeci">void OnWidgetScriptInit(Widget w)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d1b/_items_counter_8c_source.html#l00006">ItemsCounter.c:6</a></div></div>
<div class="ttc" id="aclass_items_counter_html_a99f7e7a90d7e8613782a73b4d02b3ae5"><div class="ttname"><a href="../../d5/d47/class_items_counter.html#a99f7e7a90d7e8613782a73b4d02b3ae5">ItemsCounter::NumberOfItems</a></div><div class="ttdeci">bool NumberOfItems</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d1b/_items_counter_8c_source.html#l00004">ItemsCounter.c:4</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_dd/d6a/class_widget"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00175">EnWidgets.c:176</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_df/df4/class_scripted_widget_event_handler"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#df/df4/class_scripted_widget_event_handler">ScriptedWidgetEventHandler</a></div><div class="ttdoc">map: item x vector(index, width, height)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00523">EnWidgets.c:524</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../dir_5eeb77025424db54adeee8e59c1563e2.html">GUI</a></li><li class="navelem"><a class="el" href="../../dir_54b1ab945de8b1cf5702f657b9e48093.html">Spacers</a></li><li class="navelem"><a class="el" href="../../db/d1b/_items_counter_8c.html">ItemsCounter.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
